Summary: A set of documentation tools:  man, apropos and whatis.
Name: man
Version: 1.5h1
Release: 20
Copyright: GPL
Group: System Environment/Base
Source0: ftp://ftp.win.tue.nl/pub/linux-local/utils/man/man-%{version}.tar.gz
Source1: makewhatis.cronweekly
Source2: makewhatis.crondaily
Patch1: man-1.5h1-confpath.patch
Patch2: man-1.5h1-buildroot.patch
Patch3: man-1.5-manconf.patch
Patch4: man-1.5h1-make.patch
Patch6: man-1.5g-security.patch
Patch7: man-1.5h1-mandirs.patch
Patch8: man-1.5h1-bug11621.patch
Patch9: man-1.5h1-sofix.patch
Patch10: man-1.5h1-manpath.patch
Patch11: man-1.5h1-i18n.patch
Patch12: man-1.5h1-ro-usr.patch
Patch13: man-1.5h1-sec.patch
Patch14: man-1.5h1-newline.patch
Patch15: man-1.5h1-lookon.patch
Patch16: man-1.5h1-mansect.patch
# Japanese patches
Patch17: man-1.5h1-ja-1.1-fhs.patch
Patch18: man-1.5h1-gencat.patch
Buildroot: %{_tmppath}/%{name}-root
PreReq: fileutils
Requires: groff, findutils

%description
The man package includes three tools for finding information and/or
documentation about your Linux system: man, apropos and whatis.  The
man system formats and displays on-line manual pages about commands or
functions on your system.  Apropos searches the whatis database
(containing short descriptions of system commands) for a string.
Whatis searches its own database for a complete word.

The man package should be installed on your system because it is the
primary way to find documentation on a Linux system.

%prep
%setup -q
%patch1 -p1 -b .confpath
%patch2 -p1 -b .buildroot
%patch3 -p1
%patch4 -p1 -b .make
%patch6 -p1 -b .security
%patch7 -p1 -b .mandirs
%patch8 -p1 -b .ad
%patch9 -p1 -b .sofix
%patch10 -p1 -b .manpath
%patch11 -p1 -b .i18n
%patch12 -p1 -b .usr
%patch13 -p1 -b .sec
%patch14 -p1 -b .newline
%patch15 -p1 -b .lookon
%patch16 -p1 -b .mansect
%patch17 -p1 -b .jp1
%patch18 -p1 -b .jp2

rm -f $RPM_BUILD_DIR/man-%{version}/man/en/man.conf.man

%build
./configure -default +fhs +lang all
make CC="gcc $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p  $RPM_BUILD_ROOT/usr/{bin,man,sbin}
mkdir -p  $RPM_BUILD_ROOT/etc/cron.{daily,weekly}
make install PREFIX=$RPM_BUILD_ROOT

install -m755 $RPM_SOURCE_DIR/makewhatis.cronweekly $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis.cron
install -m755 $RPM_SOURCE_DIR/makewhatis.crondaily $RPM_BUILD_ROOT/etc/cron.daily/makewhatis.cron

mkdir -p $RPM_BUILD_ROOT/var/cache/man/local
mkdir -p $RPM_BUILD_ROOT/var/cache/man/X11R6
for i in 1 2 3 4 5 6 7 8 9 n; do
	mkdir -p $RPM_BUILD_ROOT/var/cache/man/cat$i
	mkdir -p $RPM_BUILD_ROOT/var/cache/man/local/cat$i
	mkdir -p $RPM_BUILD_ROOT/var/cache/man/X11R6/cat$i
done

strip $RPM_BUILD_ROOT/usr/bin/man 

# added man2html stuff
cd man2html
make install PREFIX=$RPM_BUILD_ROOT
strip -R .comment $RPM_BUILD_ROOT/usr/bin/man2html
gzip -9f $RPM_BUILD_ROOT%{_mandir}/*/*

# symlinks for manpath
( cd $RPM_BUILD_ROOT
  ln -s man ./usr/bin/manpath
  ln -s man.1.gz ./usr/share/man/man1/manpath.1.gz
)

%preun
rm -f /var/cache/man/cat[123456789n]/*
rm -f /var/cache/man/local/cat[123456789n]/*
rm -f /var/cache/man/X11R6/cat[123456789n]/*

%post
rm -f /var/cache/man/cat[123456789n]/*
rm -f /var/cache/man/local/cat[123456789n]/*
rm -f /var/cache/man/X11R6/cat[123456789n]/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/cron.weekly/makewhatis.cron
%config /etc/cron.daily/makewhatis.cron
%attr(2755,root,man)	/usr/bin/man
/usr/bin/manpath
/usr/bin/apropos
/usr/bin/whatis
/usr/sbin/makewhatis
%config /etc/man.config
/usr/share/man/man5/man.config.5*
/usr/share/man/man1/whatis.1*
/usr/share/man/man1/man.1*
/usr/share/man/man1/manpath.1*
/usr/share/man/man1/apropos.1*
/usr/share/man/man1/man2html.1*
/usr/bin/man2html
%lang(cs) %dir /usr/share/locale/cs
%lang(cs) /usr/share/locale/cs/man
%lang(da) %dir /usr/share/locale/da
%lang(da) /usr/share/locale/da/man
%lang(de) %dir /usr/share/locale/de
%lang(de) /usr/share/locale/de/man
%lang(en) %dir /usr/share/locale/en
%lang(en) /usr/share/locale/en/man
%lang(es) %dir /usr/share/locale/es
%lang(es) /usr/share/locale/es/man
%lang(fi) %dir /usr/share/locale/fi
%lang(fi) /usr/share/locale/fi/man
%lang(fr) %dir /usr/share/locale/fr
%lang(fr) /usr/share/locale/fr/man
%lang(hr) %dir /usr/share/locale/hr
%lang(hr) /usr/share/locale/hr/man
%lang(it) %dir /usr/share/locale/it
%lang(it) /usr/share/locale/it/man
%lang(nl) %dir /usr/share/locale/nl
%lang(nl) /usr/share/locale/nl/man
%lang(pl) %dir /usr/share/locale/pl
%lang(pl) /usr/share/locale/pl/man
%lang(pt) %dir /usr/share/locale/pt
%lang(pt) /usr/share/locale/pt/man
%lang(sl) %dir /usr/share/locale/sl
%lang(sl) /usr/share/locale/sl/man

%attr(0775,root,man)	%dir /var/cache/man
%attr(0775,root,man)	%dir /var/cache/man/cat[123456789n]
%attr(0775,root,man)	%dir /var/cache/man/local
%attr(0775,root,man)	%dir /var/cache/man/local/cat[123456789n]
%attr(0775,root,man)	%dir /var/cache/man/X11R6
%attr(0775,root,man)	%dir /var/cache/man/X11R6/cat[123456789n]

%changelog
* Sun Feb  4 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Require findutils for makewhatis (Bug #25615)

* Fri Jan 19 2001 Jeff Johnson <jbj@redhat.com>
- Use PreReq: not Requires(post,preun).

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- s/Prereq/Requires(post,preun)/ (this should fix #22775)

* Fri Dec 29 2000 Bill Nottngham <notting@redhat.com>
- tweak prereqs

* Mon Dec 18 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese patches.

* Mon Dec 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Requires(preun,post) fileutils

* Thu Oct 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix yet another security problem (MANSECT overrun), Bug #19351

* Thu Oct 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix trailing garbage when a man page doesn't end with a newline (Bug #9026)
- Look for files in other man directories if the first match isn't
  accessible (Bug #10254)

* Mon Oct  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move whatis database to /var/cache/man/whatis to allow read-only /usr
  filesystems (Bug #18383)
- Don't use predictable filenames in makewhatis (not reported, spotted while
  fixing 18383)

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add internationalization support, based on patch from noa@noa.tm (Bug #7680)

* Wed Aug 23 2000 Tim Powers <timp@redhat.com>
- fix bad man path for makewhatis in bug #16754

* Tue Aug 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up .so handling in some odd cases (Bug #16171)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up the fix for #14278, this fixes #11621 as well.

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of random <AD>s (Bug #14278, thanks, Tim)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Bill Nottingham <notting@redhat.com>
- makewhatis makes predicatable filenames in /tmp. Bad.

* Mon Jun 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- gzip the man pages manually - since file doesn't recognize them as
  man pages, the build root policy doesn't do it (Bug #12015)

* Tue May 16 2000 Preston Brown <pbrown@redhat.com>
- default man path is now /usr/share/man.  /usr/man maintained for compat.
- remove +sgid option to allow builds as a normal user.  SPEC file maintains
  proper permissions.

* Wed Mar  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add kerberos man paths to man.config (Bug #11168 + extra fixes)

* Tue Feb 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.5h1 - this has a better fix for the security problems.
- remove manpath patch (now in base)
- remove loop patch (now in base)

* Mon Feb 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix security problems related to buffer overruns caused by oversized
  enviroment variables

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- deal with rpm gziping man pages
- fix file locking (Bug #8947)

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip man2html

* Fri Sep 10 1999 Cristian Gafton <gafton@redhat.com>
- revert to latin1 instead of ascii

* Wed Jun 16 1999 Cristian Gafton <gafton@redhat.com>
- fixed man2html loop on terminfo.5 (patrch from the author; #3316)

* Mon May 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed #2532 by adding /usr/local/sbin as a MANPATH_MAP

* Fri Apr 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- cron.weekly rebuilds, cron.daily updates in minimal time

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- man 1.5g bugfix release

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- add manpath symlinks (#1138).

* Fri Feb 12 1999 Michael Maher <mike@redhat.com>
- fixed bug #792
- added man2html files

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- upgraded to 1.5e
- properly buildrooted

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- enable fsstnd organization
- change /var/catman/X11 to X11R6
- %post/%preun to clean up cat litter

* Tue Jun 02 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue Jun 02 1998 Erik Troan <ewt@redhat.com>
- you can't do free(malloc(10) + 4) <sigh>

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5d

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.5a

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- uses a build root

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to man-1.4j, which fixes some security problems; release 1 is
  for RH 4.2, release 2 is for glibc
 
* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Added /usr/lib/perl5/man to default manpath
